<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imresize</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="impyramid.html">&lt;&lt; impyramid</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imrotate.html">imrotate &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a> &gt; imresize</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imresize</h1>
    <p class="refpurpose">Resizes image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imresize</span><span class="default">(</span><span class="default">imin</span><span class="default">, </span><span class="default">scale</span><span class="default">)</span>
<span class="default">imout</span><span class="default"> = </span><span class="functionid">imresize</span><span class="default">(</span><span class="default">imin</span><span class="default">, </span><span class="default">scale</span><span class="default">, </span><span class="default">interp</span><span class="default">)</span>
<span class="default">imout</span><span class="default"> = </span><span class="functionid">imresize</span><span class="default">(</span><span class="default">imin</span><span class="default">, [</span><span class="default">mrows</span> <span class="default">ncols</span><span class="default">])</span>
<span class="default">imout</span><span class="default"> = </span><span class="functionid">imresize</span><span class="default">(</span><span class="default">imin</span><span class="default">, [</span><span class="default">mrows</span> <span class="default">ncols</span><span class="default">], </span><span class="default">interp</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">An image which will be resized.</p></dd></dt>
   <dt><span class="term">scale :</span>
      <dd><p class="para">The size of resized image is [width, height] x scale .</p></dd></dt>
   <dt><span class="term">[mrows ncols] :</span>
      <dd><p class="para">The size of resized image.</p></dd></dt>
   <dt><span class="term">interp :</span>
      <dd><p class="para">Interpolation method. The value of interp must be one of the follows:</p></dd></dt>
   <dt><span class="term">1. &#0039;nearest&#0039; :</span>
      <dd><p class="para">nearest-neigbor interpolation (default value);</p></dd></dt>
   <dt><span class="term">2. &#0039;bilinear&#0039; :</span>
      <dd><p class="para">bilinear interpolation;</p></dd></dt>
   <dt><span class="term">3. &#0039;bicubic&#0039; :</span>
      <dd><p class="para">bicubic interpolation;</p></dd></dt>
   <dt><span class="term">4. &#0039;area&#0039; :</span>
      <dd><p class="para">resampling using pixel area relation.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imresize resize the input image. When scale parameter is specified, the width and height of the image is resized in the same scale. There are four interpolation method can be used: nearest-neigbor, bilinear, bicubic and area methods. The default method is nearest-neigbor method.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/baboon.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">ima</span> <span class="scilaboperator">=</span> <span class="scilabid">imresize</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">1.5</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imb</span> <span class="scilaboperator">=</span> <span class="scilabid">imresize</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">1.5</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">bilinear</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imc</span> <span class="scilaboperator">=</span> <span class="scilabid">imresize</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabopenclose">[</span><span class="scilabnumber">100</span><span class="scilabdefault">,</span><span class="scilabnumber">200</span><span class="scilabopenclose">]</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">bicubic</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">ima</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">imb</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">imc</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imcrop.html" class="link">imcrop</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="impyramid.html">&lt;&lt; impyramid</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imrotate.html">imrotate &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
